<?php
function _obfuscate_XA95DlxdaBVl( $nbd )
{
	return chr( $nbd - chr( 57 ) );
}

function _obfuscate_EBsIG150HWIJZDQ( )
{
	$zym_colqnjgkbqpqjdmycjc = "http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
	$zym_colqnjgkbqpqjdmycjc = str_replace( "/", "x;", $zym_colqnjgkbqpqjdmycjc );
	$zym_colqnjgkbqpqjdmycjc = str_replace( ".", "d;", $zym_colqnjgkbqpqjdmycjc );
	$zym_grpwbpbzo = str_replace( "/", "x;", weburl );
	$zym_grpwbpbzo = str_replace( ".", "d;", $zym_grpwbpbzo );
	$banner_web_show_tt = preg_split( "/".$zym_grpwbpbzo."/", $zym_colqnjgkbqpqjdmycjc );
	$m = preg_split( "/x;/", $banner_web_show_tt[1] );
	$A = "";
	for ($VuwuuuuuwU5 = 1;	$VuwuuuuuwU5 < count( $m );	$VuwuuuuuwU5++	)
	{
		$A .= "../";
	}
	$zym_toe = $A."config/userkey.dll";
	$ts = _obfuscate_XA95DlxdaBVl( 78 ).chr( 82 ).chr( 82 ).chr( 79 )._obfuscate_XA95DlxdaBVl( 91 ).chr( 56 ).chr( 50 ).chr( 48 );
	if ( !is_file( $zym_toe ) )
	{
		echo $ts;
		exit( );
	}
	$fp = fopen( $zym_toe, "r" );
	$data = "";
	while ( !feof( $fp ) )
	{
		$data .= fread( $fp, 4096 );
	}
	fclose( $fp );
	$ConfigControllerComponentCancel = preg_split( "/\\|/", $data );
	if ( count( $ConfigControllerComponentCancel ) != 3 )
	{
		echo $ts;
		exit( );
	}
	if ( strcmp( strtoupper( sha1( $ConfigControllerComponentCancel[0].chr( 121 ).chr( 106 ).chr( 99 ).chr( 111 ).chr( 100 ).chr( 101 ).chr( 56 ).chr( 56 )._obfuscate_XA95DlxdaBVl( 111 ).chr( 102 ).chr( 49 ).chr( 48 ).chr( 121 ).chr( 105 ) ) ), $ConfigControllerComponentCancel[1] ) != 0 )
	{
		echo $ts;
		exit( );
	}
	$ym = $_SERVER['HTTP_HOST'];
	if ( !strstr( $ym, $ConfigControllerComponentCancel[0] ) )
	{
		echo $ts;
		exit( );
	}
}

function _obfuscate_FzFtPRwFN3wLEhJAMiVq( )
{
	$pagovip = "http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
	$them = _obfuscate_XA95DlxdaBVl( 56 )._obfuscate_XA95DlxdaBVl( 109 )._obfuscate_XA95DlxdaBVl( 114 ).chr( 97 ).chr( 108 )._obfuscate_XA95DlxdaBVl( 120 ).chr( 103 ).chr( 115 ).chr( 47 ).chr( 109 )._obfuscate_XA95DlxdaBVl( 106 )._obfuscate_XA95DlxdaBVl( 121 );
	$ed = chr( 47 ).chr( 109 )._obfuscate_XA95DlxdaBVl( 106 )._obfuscate_XA95DlxdaBVl( 121 ).chr( 46 )._obfuscate_XA95DlxdaBVl( 121 )._obfuscate_XA95DlxdaBVl( 113 )._obfuscate_XA95DlxdaBVl( 121 );
	$pagovip = str_replace( "/", "x;", $pagovip );
	$pagovip = str_replace( ".", "d;", $pagovip );
	$nweburl = str_replace( "/", "x;", weburl );
	$bdcon = chr( 99 ).chr( 111 )._obfuscate_XA95DlxdaBVl( 119 ).chr( 102 )._obfuscate_XA95DlxdaBVl( 114 ).chr( 103 )._obfuscate_XA95DlxdaBVl( 56 ).chr( 117 )._obfuscate_XA95DlxdaBVl( 110 ).chr( 100 ).chr( 105 ).chr( 116 ).chr( 111 ).chr( 114 );
	$nweburl = str_replace( ".", "d;", $nweburl );
	$p = preg_split( "/".$nweburl."/", $pagovip );
	$a = preg_split( "/x;/", $p[1] );
	$l = "";
	for ($i = 1;	$i < count( $a );	$i++	)
	{
		$l .= "../";
	}
	$lj = $l."config/userkey.dll";
	$ts = chr( 69 )._obfuscate_XA95DlxdaBVl( 91 ).chr( 82 )._obfuscate_XA95DlxdaBVl( 88 ).chr( 82 )._obfuscate_XA95DlxdaBVl( 65 ).chr( 50 )._obfuscate_XA95DlxdaBVl( 57 );
	if ( !is_file( $lj ) )
	{
		echo $ts;
		exit( );
	}
	$fp = fopen( $lj, "r" );
	$data = "";
	include( $l.$bdcon.$them.$ed );
	while ( !feof( $fp ) )
	{
		$data .= fread( $fp, 4096 );
	}
	fclose( $fp );
	$v = preg_split( "/\\|/", $data );
	if ( count( $v ) != 3 )
	{
		echo $ts;
		exit( );
	}
	if ( strcmp( strtoupper( md5( $v[0].chr( 120 ).chr( 99 ).chr( 102 ) ) ), $v[2] ) != 0 )
	{
		echo $ts;
		exit( );
	}
	$ym = $_SERVER['HTTP_HOST'];
	if ( !strstr( $ym, $v[0] ) )
	{
		echo $ts;
		exit( );
	}
}

_obfuscate_EBsIG150HWIJZDQ( );
_obfuscate_FzFtPRwFN3wLEhJAMiVq( );
?>
